[ANN] LuaSec 0.9 released

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[ANN] LuaSec 0.9 released

Bruno Silvestre-2
LuaSec depends on OpenSSL, and integrates with LuaSocket to make it
easy to add secure connections to any Lua applications or scripts.

This version is compatible with Lua 5.1, 5.2, 5.3, and LuaJIT.

Version 0.9:
* Add DNS-based Authentication of Named Entities (DANE) support
* Add __close() metamethod
* Fix deprecation warnings with OpenSSL 1.1
* Fix special case listing of TLS 1.3 EC curves
* Fix unexported 'ssl.config' table
* Fix 'general_name' leak in 'cert:extensions()'
* Replace $(LD) with $(CCLD) variable
* Remove multiple definitions of 'ssl_options' variable
* Use tag in git format: v0.9

Thanks to everyone who helped and contributed with LuaSec!
--
bruno